rte_node_udp4_input_api.h(3)

NAME
rte_node_udp4_input_api.h

SYNOPSIS

#include <rte_common.h>
#include <rte_compat.h>
#include 'rte_graph.h'

  Enumerations

enum rte_node_udp4_input_next { RTE_NODE_UDP4_INPUT_NEXT_PKT_DROP }

  Functions

__rte_experimental int rte_node_udp4_usr_node_add (const char *usr_node)
__rte_experimental int rte_node_udp4_dst_port_add (uint32_t dst_port, rte_edge_t next_node)

Detailed Description

Warning
    EXPERIMENTAL: All functions in this file may be changed or removed without prior notice.

This API allows to control path functions of udp4_* nodes like udp4_input.

Definition in file rte_node_udp4_input_api.h.

Enumeration Type Documentation

  enum rte_node_udp4_input_next
UDP4 lookup next nodes.

Enumerator

RTE_NODE_UDP4_INPUT_NEXT_PKT_DROP
    Packet drop node.

Definition at line 30 of file rte_node_udp4_input_api.h.

Function Documentation

  __rte_experimental int rte_node_udp4_usr_node_add (const char * usr_node)
Add usr node to receive udp4 frames.

Parameters
    usr_node Node registered by user to receive data.

  __rte_experimental int rte_node_udp4_dst_port_add (uint32_t dst_port, rte_edge_t next_node)
Add udpv4 dst_port to lookup table.

Parameters
    dst_port Dst Port of packet to be added for consumption.
    next_node Next node packet to be added for consumption.

Returns
    0 on success, negative otherwise.

Author

Generated automatically by Doxygen for DPDK from the source code.